Skip to main content

Get a listing by ID

GEThttps://api.propexo.com/v1/listings/:listing_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

listing_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the listing

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    x_floor_plan_idstring | nullnullablerequired

    The external ID of the floor plan from the integration vendor

    is_unitbooleanrequired

    True if the listing is for a unit, false if it is not associated with a specific unit

    available_datestring | nullnullablerequired

    The date the listing is available

    application_urlstring | nullnullablerequired

    The application URL for the listing

    bathroomsstring | nullnullablerequired

    The number of bathrooms associated with the listing

    bathrooms_fullnumber | nullnullablerequired

    The number of full bathrooms associated with the listing

    bathrooms_halfnumber | nullnullablerequired

    The number of half bathrooms associated with the listing

    bedroomsstring | nullnullablerequired

    The number of bedrooms associated with the listing

    building_namestring | nullnullablerequired

    The building name associated with the listing

    building_numberstring | nullnullablerequired

    The building number associated with the listing

    citystring | nullnullablerequired

    The city associated with the listing

    countrystring | nullnullablerequired

    The country associated with the listing

    custom_data object | nullrequired
    object
    deposit_amount_in_centsnumber | nullnullablerequired

    The deposit amount in cents associated with the listing

    Example: 100000
    floor_plan_codestring | nullnullablerequired

    The external ID of the floor plan associated with the listing

    floor_plan_namestring | nullnullablerequired

    The floor plan name associated with the listing

    floorstring | nullnullablerequired

    The floor number/name associated with the listing

    image_urlsstring[]required
    is_availableboolean | nullnullablerequired

    Whether the listing is available

    is_furnishedboolean | nullnullablerequired

    Whether the listing is furnished

    is_listedboolean | nullnullablerequired

    Whether the listing is listed

    is_managed_externalboolean | nullnullablerequired

    Whether the listing is managed externally

    is_vacantboolean | nullnullablerequired

    Whether the listing is vacant

    lease_termstring | nullnullablerequired

    The term of the lease

    listing_titlestring | nullnullablerequired

    The title used for the marketing listing

    listing_datestring | nullnullablerequired

    The date the listing was created

    marketing_namestring | nullnullablerequired

    The marketing name of the unit being listed

    notesstring | nullnullablerequired

    Notes associated with the listing

    numberstring | nullnullablerequired

    The unit number

    rent_amount_in_centsnumber | nullnullablerequired

    The rent amount in cents for the listing

    Example: 100000
    specialsstring | nullnullablerequired

    Marketing specials or promotions for the listing

    square_feetinteger | nullnullablerequired

    The square footage of the listing

    Possible values: >= 0

    statestring | nullnullablerequired

    The state associated with the listing

    street_address_1string | nullnullablerequireddeprecated

    Deprecated: Use address_1

    street_address_2string | nullnullablerequireddeprecated

    Deprecated: Use address_2

    address_1string | nullnullablerequired

    The first address line associated with the listing

    address_2string | nullnullablerequired

    The second address line associated with the listing

    property_descriptionstring | nullnullablerequired

    Description of the property

    short_descriptionstring | nullnullablerequired

    A short description of the listing

    unit_descriptionstring | nullnullablerequired

    Description of the unit

    zipstring | nullnullablerequired

    The zip code associated with the listing

    make_ready_datestring | nullnullablerequired

    The make ready date of the listing

    vacate_datestring | nullnullablerequired

    The vacate date of the listing

    video_urlsstring[]nullablerequired
    status_rawstring | nullnullablerequired

    The raw status associated with the listing

    property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    floor_plan_idstring | nullnullablerequired

    The Propexo unique identifier for the floor plan

    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    unit_type_idstring | nullnullablerequired

    The Propexo unique identifier for the unit type

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/listings/:listing_id
curl https://api.propexo.com/v1/listings/:listing_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_unit_id": "string",
"x_floor_plan_id": "string",
"is_unit": true,
"available_date": "string",
"application_url": "string",
"bathrooms": "string",
"bathrooms_full": 0,
"bathrooms_half": 0,
"bedrooms": "string",
"building_name": "string",
"building_number": "string",
"city": "string",
"country": "string",
"custom_data": "Unknown Type: object,null",
"deposit_amount_in_cents": 100000,
"floor_plan_code": "string",
"floor_plan_name": "string",
"floor": "string",
"image_urls": [
"string"
],
"is_available": true,
"is_furnished": true,
"is_listed": true,
"is_managed_external": true,
"is_vacant": true,
"lease_term": "string",
"listing_title": "string",
"listing_date": "string",
"marketing_name": "string",
"notes": "string",
"number": "string",
"rent_amount_in_cents": 100000,
"specials": "string",
"square_feet": 0,
"state": "string",
"address_1": "string",
"address_2": "string",
"property_description": "string",
"short_description": "string",
"unit_description": "string",
"zip": "string",
"make_ready_date": "string",
"vacate_date": "string",
"video_urls": "Unknown Type: array,null",
"status_raw": "string",
"property_id": "string",
"unit_id": "string",
"floor_plan_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"x_location_id": "string",
"unit_type_id": "string"
}
}